package com.mortals.xhx.module.platform.model;

import java.util.Date;
import java.util.List;

import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Platform
* date: 2021-9-3 10:13:58
*/
public class PlatformEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630635238113L;


    /**
    * 名称
    */
    private String name;

    /**
    * 业务系统标识，唯一
    */
    private String platformSn;

    /**
    * 接入秘钥（系统自动生成）
    */
    private String secretKey;

    /**
    * 系统备注
    */
    private String remark;

    /**
    * 接收消息类型，0：http,1：jms
    */
    private Integer type;

    /**
    * 接收类型为0时，回调地址
    */
    private String callbackUrl;

    /**
    * 状态，0：停用，1：启用，默认1
    */
    private Integer status;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private Long createUserId;

    /**
    * 创建用户名称
    */
    private String createUserName;

    private List<String> listener;


    public List<String> getListener() {
        return listener;
    }

    public void setListener(List<String> listener) {
        this.listener = listener;
    }

    public PlatformEntity(){

    }
    /**
    * 获取 名称
    * @return name
    */
    public String getName() {
        return this.name;
    }
    /**
    * 设置 名称
    * @param name
    */
    public void setName(String name) {
        this.name = name;
    }
    /**
    * 获取 业务系统标识，唯一
    * @return platformSn
    */
    public String getPlatformSn() {
        return this.platformSn;
    }
    /**
    * 设置 业务系统标识，唯一
    * @param platformSn
    */
    public void setPlatformSn(String platformSn) {
        this.platformSn = platformSn;
    }
    /**
    * 获取 接入秘钥（系统自动生成）
    * @return secretKey
    */
    public String getSecretKey() {
        return this.secretKey;
    }
    /**
    * 设置 接入秘钥（系统自动生成）
    * @param secretKey
    */
    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }
    /**
    * 获取 系统备注
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 系统备注
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 接收消息类型，0：http,1：jms
    * @return type
    */
    public Integer getType() {
        return this.type;
    }
    /**
    * 设置 接收消息类型，0：http,1：jms
    * @param type
    */
    public void setType(Integer type) {
        this.type = type;
    }
    /**
    * 获取 接收类型为0时，回调地址
    * @return callbackUrl
    */
    public String getCallbackUrl() {
        return this.callbackUrl;
    }
    /**
    * 设置 接收类型为0时，回调地址
    * @param callbackUrl
    */
    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }
    /**
    * 获取 状态，0：停用，1：启用，默认1
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 状态，0：停用，1：启用，默认1
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建用户
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }
    /**
    * 获取 创建用户名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof PlatformEntity) {
            PlatformEntity tmp = (PlatformEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",name:").append(getName())
                .append(",platformSn:").append(getPlatformSn())
                .append(",secretKey:").append(getSecretKey())
                .append(",remark:").append(getRemark())
                .append(",type:").append(getType())
                .append(",callbackUrl:").append(getCallbackUrl())
                .append(",status:").append(getStatus())
                .append(",createTime:").append(getCreateTime())
                .append(",createUserId:").append(getCreateUserId())
                .append(",createUserName:").append(getCreateUserName())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.name = null;

         this.platformSn = null;

         this.secretKey = null;

         this.remark = null;

         this.type = null;

         this.callbackUrl = null;

         this.status = null;

         this.createTime = null;

         this.createUserId = null;

         this.createUserName = null;

    }
}